<template>
    <div>
        <p v-bind:class="color">
            {{msg}}
        </p>
        <TresoForm v-bind:treso="treso" v-on:submit="add()" v-on:back="back()">
    
        </TresoForm>
    </div>
</template>

<script>

import TresoForm from './Treso.Form.vue'
import {
    addTreso
} from '@/api/treso.service.js'
export default {
    data() {
        return {
            treso: {
            },
            confirm: "",
            interact: true,
            color: "black",
            msg: ""
        }
    },
    methods: {
        add: function () {
            addTreso(this.treso).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });
        },
        back: function () {
            this.$router.go(-1);
        }
    }, components: {
        TresoForm
    },
    created(){
        this.$store.dispatch('setAllCompanies');
    }
}
</script>

<style scoped>
.black {
    color: black;
}

.red {
    color: red;
}
</style>
